%define release 	%mkrel 3
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
#gw for backports
%{?!py_puresitedir:%define py_puresitedir %_libdir/python%pyver/site-packages}

Summary: BitTorrent is a tool for copying files from one machine to another
Name: bittorrent
Version: 5.0.7
Release: %release
Source0: http://download.bittorrent.com/dl/BitTorrent-%{version}.tar.bz2
Source5: bittorrent-bash-completion-20050712.bz2
Patch5: BitTorrent-4.20.6-paths.patch
Patch6: bittorrent-5.0.7-default-download.patch
License: BitTorrent Open Source License
Group: Networking/File transfer
URL: http://bittorrent.com/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires: python-devel
BuildRequires: python-twisted-core
Requires: python
Requires: python-twisted-web


%description
BitTorrent is a tool for copying files from one machine to
another. FTP punishes sites for being popular. Since all uploading is
done from one place, a popular site needs big iron and big
bandwidth. With BitTorrent, clients automatically mirror files they
download, making the publisher's burden almost nothing.

%package gui
Summary: GUI versions of the BitTorrent file transfer tools
Group: Networking/File transfer
Requires: wxPythonGTK
Requires: %name = %version
Conflicts: kdelibs-common <= 3.1.3
Requires(post):desktop-file-utils
Requires(postun):desktop-file-utils

%description gui
BitTorrent is a tool for copying files from one machine to
another. FTP punishes sites for being popular. Since all uploading is
done from one place, a popular site needs big iron and big
bandwidth. With BitTorrent, clients automatically mirror files they
download, making the publisher's burden almost nothing.

This package contains the graphical versions of the BitTorrent tools.

%prep
%setup -q -n BitTorrent-%version
%patch5 -p1 -b .paths
%patch6 -p1 -b .download

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT %name.lang
python ./setup.py install --root=$RPM_BUILD_ROOT

perl -p -i -e 's/env python2/env python/' $RPM_BUILD_ROOT%_bindir/*
mkdir -p %buildroot%_liconsdir %buildroot%_miconsdir
ln -s %_datadir/pixmaps/BitTorrent-%version/logo/bittorrent_icon_16.png  ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
ln -s %_datadir/pixmaps/BitTorrent-%version/logo/bittorrent_icon_32.png  ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
ln -s %_datadir/pixmaps/BitTorrent-%version/logo/bittorrent_icon_48.png  ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}-gui
?package(bittorrent-gui): needs="x11" section="Internet/File Transfer" command="bittorrent" mimetypes="application/x-bittorrent" accept_url="false" multiple_files="true" title="BitTorrent" longtitle="Download files with BitTorrent" icon="%name.png" xdg="true"
?package(bittorrent-gui): needs="x11" section="Internet/File Transfer" command="maketorrent" title="BitTorrent Creator" longtitle="Create BitTorrent metadata files"  icon="%name.png" xdg="true"
EOF

install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=BitTorrent
Comment=Download files with BitTorrent
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-bittorrent
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-maketorrent.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=BitTorrent Creator
Comment=Create BitTorrent metadata files
Exec=%{_bindir}/maketorrent
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime-info
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/mime-info/BitTorrent\ GUI.mime
application/x-bittorrent
	ext: torrent
EOF

mkdir -p %buildroot%_sysconfdir/bash_completion.d
bzcat %SOURCE5 > %buildroot%_sysconfdir/bash_completion.d/bittorrent

%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT


%post gui
%{update_menus}
%update_desktop_database

%postun gui
%{clean_menus}
%clean_desktop_database

%files -f %name.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/bash_completion.d/*
%doc %_datadir/doc/%name-%version
%_bindir/bittorrent-curses
%_bindir/bittorrent-console
%_bindir/maketorrent-console
%_bindir/launchmany-curses
%_bindir/launchmany-console
%_bindir/changetracker-console
%_bindir/torrentinfo-console
%_bindir/bittorrent-tracker
%py_puresitedir/BitTorrent*
%py_puresitedir/BTL
%py_puresitedir/khashmir
%py_puresitedir/Zeroconf*

%files gui
%defattr(-,root,root)
%doc README.txt
%_bindir/bittorrent
%_bindir/maketorrent
%_menudir/*
%_datadir/applications/mandriva*
%_datadir/mime-info/*
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%_liconsdir/%{name}.png
%_datadir/pixmaps/BitTorrent-%version/



%changelog
* Mon Mar 19 2007 Adam Williamson <awilliamson@mandriva.com> 5.0.7-3mdv2007.1
+ Revision: 146396
- update patch 6: default to ~/Desktop instead (per fcrozat)

* Mon Mar 19 2007 Adam Williamson <awilliamson@mandriva.com> 5.0.7-2mdv2007.1
+ Revision: 146389
- patch 6: use our Download directory, not Bittorrent's default (which doesn't exist and causes an error)

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 5.0.7-1mdv2007.1
+ Revision: 132848
- new version

* Fri Mar 02 2007 Götz Waschk <waschk@mandriva.org> 5.0.6-1mdv2007.1
+ Revision: 131427
- new version

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 5.0.5-1mdv2007.1
+ Revision: 110548
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 5.0.4-1mdv2007.1
+ Revision: 105962
- new version
- switch to included icons

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 5.0.3-1mdv2007.1
+ Revision: 91938
- new version

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 5.0.2-1mdv2007.1
+ Revision: 89531
- new version
- remove installation workaround

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 5.0.1-3mdv2007.1
+ Revision: 89254
- fix the postuninstall macro

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 5.0.1-2mdv2007.1
+ Revision: 89238
- fix wrong pixmaps path

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 5.0.1-1mdv2007.1
+ Revision: 88458
- new version
- drop patch 0
- update file list

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 5.0.0-2mdv2007.1
+ Revision: 75179
- new version

* Sat Oct 28 2006 Götz Waschk <waschk@mandriva.org> 4.26.0-2mdv2007.1
+ Revision: 73598
- patch to fix bittorrent-curses (bug #26809)

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 4.26.0-1mdv2007.1
+ Revision: 64488
- new version
- Import bittorrent



* Wed Oct 11 2006 Götz Waschk <waschk@mandriva.org> 4.24.2-1mdv2007.1
- update file list
- fix source URL
- new version

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 4.20.9-1mdv2007.0
- New release 4.20.9

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 4.20.8-2mdv2007.0
- fix buildrequires

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 4.20.8-1mdv2007.0
- New release 4.20.8

* Thu Aug  3 2006 Götz Waschk <waschk@mandriva.org> 4.20.6-1mdv2007.0
- rediff patch 5
- New release 4.20.6

* Mon Jul 17 2006 Götz Waschk <waschk@mandriva.org> 4.20.4-1mdv2007.0
- update patch 5
- New release 4.20.4

* Fri Jun 30 2006 Götz Waschk <waschk@mandriva.org> 4.20.2-1mdv2007.0
- drop patch
- New release 4.20.2

* Thu Jun 29 2006 Götz Waschk <waschk@mandriva.org> 4.20.1-2mdv2007.0
- remove windows specific import

* Tue Jun 27 2006 Götz Waschk <waschk@mandriva.org> 4.20.1-1
- New release 4.20.1

* Wed Jun 21 2006 Götz Waschk <waschk@mandriva.org> 4.20.0-1
- New release 4.20.0

* Mon Jun 19 2006 Götz Waschk <waschk@mandriva.org> 4.9.9-2mdv2007.0
- xdg menu

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 4.9.9-1
- New release 4.9.9

* Thu Jun 08 2006 Götz Waschk <waschk@mandriva.org> 4.9.8-1
- New release 4.9.8

* Fri Jun 02 2006 Götz Waschk <waschk@mandriva.org> 4.9.7-1mdv2007.0
- New release 4.9.7

* Thu May 25 2006 Götz Waschk <waschk@mandriva.org> 4.9.6-2mdv2007.0
- fix deps

* Wed May 24 2006 Götz Waschk <waschk@mandriva.org> 4.9.6-1mdk
- New release 4.9.6

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 4.9.3-1mdk
- New release 4.9.3

* Sun May  7 2006 G?Waschk <waschk@mandriva.org> 4.9.2-3mdk
- fix deps

* Fri May  5 2006 G?Waschk <waschk@mandriva.org> 4.9.2-2mdk
- update deps
- add missing icon

* Fri May  5 2006 G?Waschk <waschk@mandriva.org> 4.9.2-1mdk
- update file list
- New release 4.9.2

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 4.4.0-1mdk
- New release 4.4.0

* Wed Jan 25 2006 G?Waschk <waschk@mandriva.org> 4.3.6-1mdk
- noarch again
- New release 4.3.6

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 4.3.5-2mdk
- use the new python macro

* Mon Jan 09 2006 Götz Waschk <waschk@mandriva.org> 4.3.5-1mdk
- New release 4.3.5

* Sun Jan 01 2006 David Walluck <walluck@mandriva.org> 4.3.3-2mdk
- own %%_datadir/pixmaps/BitTorrent-%%version

* Wed Dec 21 2005 Götz Waschk <waschk@mandriva.org> 4.3.3-1mdk
- New release 4.3.3

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 4.3.2-1mdk
- New release 4.3.2

* Tue Dec 06 2005 Götz Waschk <waschk@mandriva.org> 4.3.1-1mdk
- New release 4.3.1

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 4.3.0-1mdk
- New release 4.3.0

* Sat Dec 03 2005 Götz Waschk <waschk@mandriva.org> 4.2.1-1mdk
- New release 4.2.1

* Wed Nov 23 2005 Götz Waschk <waschk@mandriva.org> 4.2.0-1mdk
- New release 4.2.0

* Fri Nov 18 2005 Götz Waschk <waschk@mandriva.org> 4.1.8-1mdk
- New release 4.1.8

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 4.1.7-1mdk
- New release 4.1.7

* Thu Oct 13 2005 G?Waschk <waschk@mandriva.org> 4.1.6-1mdk
- drop patch 0
- drop obsolete man pages
- New release 4.1.6

* Sat Aug 27 2005 G?Waschk <waschk@mandriva.org> 4.1.4-5mdk
- rebuild

* Fri Aug 26 2005 G?Waschk <waschk@mandriva.org> 4.1.4-4mdk
- annoy the x86_64 maintainers back

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 4.1.4-3mdk
- rebuild to replace lib64 by lib

* Thu Aug 25 2005 G?Waschk <waschk@mandriva.org> 4.1.4-2mdk
- remove pycrypto dependancy

* Wed Aug 24 2005 G?Waschk <waschk@mandriva.org> 4.1.4-1mdk
- update source 5
- update file list
- update the patch
- New release 4.1.4

* Mon Jul 18 2005 G?Waschk <waschk@mandriva.org> 4.1.3-1mdk
- New release 4.1.3

* Wed Jul 13 2005 G?Waschk <waschk@mandriva.org> 4.1.2-2mdk
- add Guillaume's bash-completion for bittorrent

* Fri Jun 10 2005 G?Waschk <waschk@mandriva.org> 4.1.2-1mdk
- rediff the patch
- New release 4.1.2

* Wed May 25 2005 G?Waschk <waschk@mandriva.org> 4.1.1-3mdk
- add translations (only french for now)
- New release 4.1.1

* Thu May 19 2005 G?Waschk <waschk@mandriva.org> 4.1.0-3mdk
- fix mkrel

* Thu May 19 2005 G?Waschk <waschk@mandriva.org> 4.1.0-2mdk
- mkrel

* Thu May 19 2005 G?Waschk <waschk@mandriva.org> 4.1.0-1mdk
- update file list
- New release 4.1.0

* Sat Apr  2 2005 Daouda LO <daouda@mandrakesoft.com> 4.0.1-1mdk
- new version
- tested with drakbt (#14500)
- 4.0.0 bugfixes:
  o fix mouse and keyboard freezes when downloading files 
  o fix settings/preferences not saved when quiting
  o fix bug on reading metainfo  

* Tue Mar  8 2005 G?Waschk <waschk@linux-mandrake.com> 4.0.0-1mdk
- new version

* Wed Feb 16 2005 G?Waschk <waschk@linux-mandrake.com> 3.9.1-2mdk
- fix deps

* Sun Jan 23 2005 Goetz Waschk <waschk@linux-mandrake.com> 3.9.1-1mdk
- New release 3.9.1

* Tue Dec 28 2004 G?Waschk <waschk@linux-mandrake.com> 3.9.0-2mdk
- fix patch 5

* Tue Dec 21 2004 G?Waschk <waschk@linux-mandrake.com> 3.9.0-1mdk
- drop patches 1,2,3,4 don't apply anymore
- drop patch 0, must be updated!
- change license
- fix URL
- New release 3.9.0

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 3.4.2-7mdk
- Rebuild for new python

* Wed Sep 22 2004 G?Waschk <waschk@linux-mandrake.com> 3.4.2-6mdk
- make help appear in a friendly dialog (bug #8809)

* Sun Aug 15 2004 G?Waschk <waschk@linux-mandrake.com> 3.4.2-5mdk
- fix deps

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.2-4mdk
- Rebuild for new menu

* Wed Jul  7 2004 G?Waschk <waschk@linux-mandrake.com> 3.4.2-3mdk
- update patch 3 for btcompletedirgui.py

* Wed Jul  7 2004 G?Waschk <waschk@linux-mandrake.com> 3.4.2-2mdk
- patch for new wxPythonGTK (J.A. Magallon), please test

* Mon Apr  5 2004 G?Waschk <waschk@linux-mandrake.com> 3.4.2-1mdk
- rediff patch 1
- new version

* Fri Apr  2 2004 G?Waschk <waschk@linux-mandrake.com> 3.4.1a-1mdk
- rediff patch 1
- new version

* Sun Feb 22 2004 G?Waschk <waschk@linux-mandrake.com> 3.3-4mdk
- btdownloadgui.py: open file dialog on startup

* Wed Nov  5 2003 G?Waschk <waschk@linux-mandrake.com> 3.3-3mdk
- fix conflict with new KDE

* Tue Nov  4 2003 G?Waschk <waschk@linux-mandrake.com> 3.3-2mdk
- remove broken donation nag message
- use transparent icons without text
- include debian man pages
- add icons from Maxim Heijndijk <cchq@wanadoo.nl>
- adapt patch 1
- remove missing docs from the list
- drop patch 0 (merged)
- new version
- fix menu entry
- patch in maketorrent fixes
- sync fixes from debian release 5

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1b-6mdk
- Add menu entry

* Thu Aug 07 2003 Frederic Lepied <flepied@mandrakesoft.com> 3.2.1b-5mdk
- python 2.3

* Thu Jul 24 2003 G?Waschk <waschk@linux-mandrake.com> 3.2.1b-4mdk
- patch from debian (close files, mass downloaders, error messages)

* Thu Apr 24 2003 G?Waschk <waschk@linux-mandrake.com> 3.2.1b-3mdk
- use the _prefix macro in the install call
- remove prefix tag (Frederic Crozat) 

* Thu Apr 24 2003 G?Waschk <waschk@linux-mandrake.com> 3.2.1b-2mdk
- fix buildrequires

* Sun Mar 30 2003 G?Waschk <waschk@linux-mandrake.com> 3.2.1b-1mdk
- split out gui tools to remove wxPythonGTK dep from the main package 
- new version

* Fri Mar 28 2003 Frederic Lepied <flepied@mandrakesoft.com> 3.2-1mdk
- 3.2

* Wed Mar 26 2003 Frederic Lepied <flepied@mandrakesoft.com> 3.1-1mdk
- initial packaging

# end of file
